> ## Documentation Index
> Fetch the complete documentation index at: https://agent-observability-docs.splunk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manual Llm Validate

> Validate an LLM scorer manually, with query/response passed inline (no file uploads).

Args:
    request: Raw request; body is parsed into a GeneratedScorerValidationRequest.
    ctx: Async request context with the authenticated user and read session.

Returns:
    A pending task result the caller can poll for validation results.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/llm/validate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/llm/validate:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Manual Llm Validate
      description: >-
        Validate an LLM scorer manually, with query/response passed inline (no
        file uploads).


        Args:
            request: Raw request; body is parsed into a GeneratedScorerValidationRequest.
            ctx: Async request context with the authenticated user and read session.

        Returns:
            A pending task result the caller can poll for validation results.
      operationId: manual_llm_validate_v2_scorers_llm_validate_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneratedScorerValidationResponse'
      security:
        - ClassicAPIKeyHeader: []
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    GeneratedScorerValidationResponse:
      properties:
        task_result_id:
          type: string
          format: uuid4
          title: Task Result Id
      type: object
      required:
        - task_result_id
      title: GeneratedScorerValidationResponse
  securitySchemes:
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````